# Tasks

## Task List

Get a full list of tasks by running:

**condensation-docker** - `condensation list-tasks`

**nodejs** - `npm run gulp -T`

By default all tasks are prefixed with `condensation:`. This can be
changed with the `taskPrefix` config option.


## Default

The `default` task is an alias for `build`. It will prepare all files
for deployment to s3. Templates and assets are written to the configured
`dist` directory.

**condensation-docker** - `condensation run build`

**nodejs** - `npm run gulp`


## s3:list

Will list all the configured s3 buckets and module corresponding ID.

The IDs can be used to deploy to a single bucket instead of all buckets.

**condensation-docker** - `condensation run-task s3:list`

**nodejs** - `npm run gulp condensation:s3:list`

**Example**

    > condensation run-task s3:list
    [10:21:47] Using gulpfile ~/condensation-example/gulpfile.js
    [10:21:47] Starting 'condensation:s3:list'...
    0: a.bucket.in.us-east-1
    1: a.bucket.in.us-west-2
    [10:21:47] Finished 'condensation:s3:list' after 153 μs


## build

For the `build` task to run AWS credentials must be set as environment
variables: `AWS_SECRET_ACCESS_KEY` and `AWS_ACCESS_KEY_ID`


This will build and verify all templates

**condensation-docker** - `condensation run build`

**nodejs** - `npm run gulp condensation:build`

**Example**

    > AWS_SECRET_ACCESS_KEY=XXXX AWS_ACCESS_KEY_ID=XXXX condensation run build


## deploy

For the `deploy` task to run AWS credentials must be set as environment
variables: `AWS_SECRET_ACCESS_KEY` and `AWS_ACCESS_KEY_ID`


This will upload templates to all cofigured S3 buckets.

**condensation-docker** - `condensation run deploy`

**nodejs** - `npm run gulp condensation:deploy`

**Example**

    > AWS_SECRET_ACCESS_KEY=XXXX AWS_ACCESS_KEY_ID=XXXX condensation run deploy


## deploy:ID

Deploy templates to a specific S3 bucket.

**condensation-docker** - `condensation run-task deploy:0`

**nodejs** - `npm run gulp condensation:deploy:0`


## deploy:LABEL

Deploy templates to all S3 buckets that contain the label, LABEL.

**condensation-docker** - `condensation run-task deploy:dev`

**nodejs** - `npm run gulp condensation:deploy:dev`
